//freqz(n) $BEAC#FC@-(B
function freqz(b,a,nn,fs)
//nn :number of frequency points to Nyquist frequency
//fs :sampling frequency (Hertz)
f=(0:nn-1)/(nn-1)*fs/2;
w=f/fs*2*%pi;
p=w*0;
q=w*0;
for ii=1:length(a)
q=q+a(ii)*exp(-(ii-1)*%i*w);
end;
for ii=1:length(b)
p=p+b(ii)*exp(-(ii-1)*%i*w);
end;
h=p./q;
for ii=1:length(h)
ah(ii)=abs(h(ii));
lh(ii)=log10(ah(ii));
end;
subplot(2,1,1);plot(f,20*lh);
xtitle('','Frequency(Hertz)','Magnitude Response (dB)');
subplot(2,1,2);plot(f,imag(log(h))/%pi*180);//plot(f,angle(h)/%pi*180);
xtitle('','Frequency(Hertz)','Phase (degree)');
endfunction;
